# std::bad_typeid Class Reference

Inheritance diagram for std::bad_typeid:

[legend]
Collaboration diagram for std::bad_typeid:

[legend]
List of all members.

## Public Member Functions

virtual const char * | what () const throw ()

## Detailed Description

If you use a NULL pointer in a `typeid` expression, this is thrown.

Definition at line 145 of file typeinfo.

## Member Function Documentation

virtual const char* std::exception::what | ( |  | ) | const throw ()`[virtual, inherited]`

| Returns a C-style character string describing the general cause of the current error. Reimplemented in std::ios_base::failure, std::logic_error, and std::runtime_error.

The documentation for this class was generated from the following file:

- typeinfo